# In-team communication

Tasks people need to do go in GitLab, but that is *not* how tasks should be communicated.  Whenever possible, anything important enough to be assigned is worth talking about in 'real-time' first, or concomitantly.  Everything needed to understand an issue should be captured in GitLab, but we want to avoid back-and-forth 'huh what?' and 'nuh-uh not me' (un-assign)

Discussion that takes place outside of GitLab needs to be summarized (or copy-pasted) into the relevant issue in the GitLab project.

## Zulip

Our primary tool for internal communication is now [Zulip](https://zulipchat.com/), free software group chat software available as [LibreSaaS](https://libresaas.org/).

[agaric.zulipchat.com](https://agaric.zulipchat.com) is our web interface.

[Downloading an application](https://zulipchat.com/apps/) is recommended.


### E-mailing messages to Zulip

When BCCing a Zulip stream on a message to someone, Use the default that can be found under stream settings (click the gear icon you can get to from the down caret):

```
project.785f16fc671a5d8c0f2d4fbb161f16b3.show-sender@streams.zulipchat.com
```

When forwarding an e-mail to a Zulip stream, swap out `.show-sender` for `.include-footer.include-quotes.prefer-html`

```
project.785f16fc671a5d8c0f2d4fbb161f16b3.include-footer.include-quotes.prefer-html@streams.zulipchat.com
```

```{info}
More about [sending a message to a Zulip stream by e-mail](https://zulipchat.com/help/message-a-stream-by-email)
```

## IRC


\#agaric

Agaric also maintains a channel for worker-owners only.

Freenode has given us operator privileges for this channel.  To use it, we need to register:

```
/msg nickserv identify mlncn pa55w0rd
/chanserv op #agaric mlncn
```

Try to get important meetings on your [Agaric calendar](calendars).

Some of our best clients are also on IRC, as are our partners at [May First Movement Technology (#mayfirst on irc.indymedia.org)](https://support.mayfirst.org/wiki/faq/chat).

## Internal notes

Agarics can get more detail [on communication channels in the wiki](https://gitlab.com/agaric/internal/wikis/Communication-Channels).
